petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMGetDefaultSF

Get the PetscSF encoding the parallel dof overlap for the DM. If it has not been set, it is created from the default PetscSection layouts in the DM.

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMGetDefaultSF(DM dm, PetscSF *sf)

### Input Parameter

dm -The DM

### Output Parameter

sf -The PetscSF

Note: This gets a borrowed reference, so the user should not destroy this PetscSF.

### See Also

DMSetDefaultSF(), DMCreateDefaultSF()

### Level

intermediate

### Location

src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages